DelegatingXMLStreamWriter (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.staxutils, class: DelegatingXMLStreamWriter

Package org.apache.cxf.staxutils

# Class DelegatingXMLStreamWriter

java.lang.Object
org.apache.cxf.staxutils.DelegatingXMLStreamWriter

All Implemented Interfaces:
  `XMLStreamWriter`

Direct Known Subclasses:
  `IgnoreNamespacesWriter`, `OutTransformWriter`, `XSLTOutInterceptor.XSLTStreamWriter`

public class DelegatingXMLStreamWriter extends Object implements XMLStreamWriter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final XMLStreamWriter`
  `delegate`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DelegatingXMLStreamWriter(XMLStreamWriter del)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `flush()`
  `NamespaceContext`
  `getNamespaceContext()`
  `String`
  `getPrefix(String uri)`
  `Object`
  `getProperty(String name)`
  `void`
  `setDefaultNamespace(String uri)`
  `void`
  `setNamespaceContext(NamespaceContext ctx)`
  `void`
  `setPrefix(String pfx, String uri)`
  `void`
  `writeAttribute(String local, String value)`
  `void`
  `writeAttribute(String uri, String local, String value)`
  `void`
  `writeAttribute(String prefix, String uri, String local, String value)`
  `void`
  `writeCData(String cdata)`
  `void`
  `writeCharacters(char[] arg0, int arg1, int arg2)`
  `void`
  `writeCharacters(String text)`
  `void`
  `writeComment(String text)`
  `void`
  `writeDefaultNamespace(String uri)`
  `void`
  `writeDTD(String dtd)`
  `void`
  `writeEmptyElement(String localName)`
  `void`
  `writeEmptyElement(String uri, String local)`
  `void`
  `writeEmptyElement(String prefix, String local, String uri)`
  `void`
  `writeEndDocument()`
  `void`
  `writeEndElement()`
  `void`
  `writeEntityRef(String ent)`
  `void`
  `writeNamespace(String prefix, String uri)`
  `void`
  `writeProcessingInstruction(String target)`
  `void`
  `writeProcessingInstruction(String target, String data)`
  `void`
  `writeStartDocument()`
  `void`
  `writeStartDocument(String ver)`
  `void`
  `writeStartDocument(String encoding, String ver)`
  `void`
  `writeStartElement(String local)`
  `void`
  `writeStartElement(String uri, String local)`
  `void`
  `writeStartElement(String prefix, String local, String uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### delegate

    protected final XMLStreamWriter delegate

- ## Constructor Details

  - ### DelegatingXMLStreamWriter

    public DelegatingXMLStreamWriter(XMLStreamWriter del)

- ## Method Details

  - ### close

    public void close() throws XMLStreamException
    Specified by:
      `close` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### flush

    public void flush() throws XMLStreamException
    Specified by:
      `flush` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### getNamespaceContext

    public NamespaceContext getNamespaceContext()
    Specified by:
      `getNamespaceContext` in interface `XMLStreamWriter`

  - ### getPrefix

    public String getPrefix(String uri) throws XMLStreamException
    Specified by:
      `getPrefix` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### getProperty

    public Object getProperty(String name)
    Specified by:
      `getProperty` in interface `XMLStreamWriter`

  - ### setDefaultNamespace

    public void setDefaultNamespace(String uri) throws XMLStreamException
    Specified by:
      `setDefaultNamespace` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### setNamespaceContext

    public void setNamespaceContext(NamespaceContext ctx) throws XMLStreamException
    Specified by:
      `setNamespaceContext` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### setPrefix

    public void setPrefix(String pfx, String uri) throws XMLStreamException
    Specified by:
      `setPrefix` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeAttribute

    public void writeAttribute(String prefix, String uri, String local, String value) throws XMLStreamException
    Specified by:
      `writeAttribute` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeAttribute

    public void writeAttribute(String uri, String local, String value) throws XMLStreamException
    Specified by:
      `writeAttribute` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeAttribute

    public void writeAttribute(String local, String value) throws XMLStreamException
    Specified by:
      `writeAttribute` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeCData

    public void writeCData(String cdata) throws XMLStreamException
    Specified by:
      `writeCData` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeCharacters

    public void writeCharacters(char[] arg0, int arg1, int arg2) throws XMLStreamException
    Specified by:
      `writeCharacters` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeCharacters

    public void writeCharacters(String text) throws XMLStreamException
    Specified by:
      `writeCharacters` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeComment

    public void writeComment(String text) throws XMLStreamException
    Specified by:
      `writeComment` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeDefaultNamespace

    public void writeDefaultNamespace(String uri) throws XMLStreamException
    Specified by:
      `writeDefaultNamespace` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeDTD

    public void writeDTD(String dtd) throws XMLStreamException
    Specified by:
      `writeDTD` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeEmptyElement

    public void writeEmptyElement(String prefix, String local, String uri) throws XMLStreamException
    Specified by:
      `writeEmptyElement` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeEmptyElement

    public void writeEmptyElement(String uri, String local) throws XMLStreamException
    Specified by:
      `writeEmptyElement` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeEmptyElement

    public void writeEmptyElement(String localName) throws XMLStreamException
    Specified by:
      `writeEmptyElement` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeEndDocument

    public void writeEndDocument() throws XMLStreamException
    Specified by:
      `writeEndDocument` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeEndElement

    public void writeEndElement() throws XMLStreamException
    Specified by:
      `writeEndElement` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeEntityRef

    public void writeEntityRef(String ent) throws XMLStreamException
    Specified by:
      `writeEntityRef` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeNamespace

    public void writeNamespace(String prefix, String uri) throws XMLStreamException
    Specified by:
      `writeNamespace` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeProcessingInstruction

    public void writeProcessingInstruction(String target, String data) throws XMLStreamException
    Specified by:
      `writeProcessingInstruction` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeProcessingInstruction

    public void writeProcessingInstruction(String target) throws XMLStreamException
    Specified by:
      `writeProcessingInstruction` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeStartDocument

    public void writeStartDocument() throws XMLStreamException
    Specified by:
      `writeStartDocument` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeStartDocument

    public void writeStartDocument(String encoding, String ver) throws XMLStreamException
    Specified by:
      `writeStartDocument` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeStartDocument

    public void writeStartDocument(String ver) throws XMLStreamException
    Specified by:
      `writeStartDocument` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeStartElement

    public void writeStartElement(String prefix, String local, String uri) throws XMLStreamException
    Specified by:
      `writeStartElement` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeStartElement

    public void writeStartElement(String uri, String local) throws XMLStreamException
    Specified by:
      `writeStartElement` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`

  - ### writeStartElement

    public void writeStartElement(String local) throws XMLStreamException
    Specified by:
      `writeStartElement` in interface `XMLStreamWriter`
    Throws:
      `XMLStreamException`